GET /api/v202506/reportbuilder/query

QueryV202506

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
kql string Optional
offset integer (int32) Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

ListResponse
Property Description Type
data Data for the bill list array[]
field Definition of the bill list - available filters and columns ListResponse+ListField[]
ListResponse+ListField properties
Property Description Type
caption Caption for the column/filter string
dataTypeCode Type of Data in this column string
displayOrder Order of the column integer (int32)
fieldId Column/Filter Identifier integer (int32)
requiredOutput Is this column a required column? boolean
sortDirection Sort direction “asc” or “desc” string
sortOrder Sort order for the column integer (int32)
sortable Is the column sortable? boolean
visible Is this column currently visible? boolean
width Width of the column integer (int32)
listId Specific List Identifier integer (int32)
meta

Meta data about the list Can contain:

TotalCount - Total number of items that match the filter TotalCost - Total Cost of all the items that match the filter costUnitInfo - The currency unit ErrorMessage - Indicates data fetch error.

object
Example Response application/json
{  "data": [
    [
    {      "fieldId": 1,      "name": "string",      "value": {}
    }
  ]
  ],  "field": [
    {    "caption": "string",    "dataTypeCode": "string",    "displayOrder": 1,    "fieldId": 1,    "requiredOutput": false,    "sortDirection": "string",    "sortOrder": 1,    "sortable": false,    "visible": false,    "width": 1
  }
  ],  "listId": 1,  "meta": {}
}
400 Bad Request The request was malformed or contains invalid parameters. Check the request body and query parameters.

Response Body Parameters

ProblemDetails
Property Description Type
detail string
instance string
status integer (int32)
title string
type string
Example Response application/json
{  "detail": "string",  "instance": "string",  "status": 1,  "title": "string",  "type": "string"
}